<?php

namespace FiloBlu\Esb\Api\Data;

/**
 * Interface IdentifiableInterface
 * @package FiloBlu\Esb\Api\Data
 */
interface IdentifiableInterface
{
    /** @var string */
    const ID = 'id';
    /** @var string */
    const UUID = 'uuid';

    /**
     * @param $id
     * @return IdentifiableInterface
     */
    public function setId($id): IdentifiableInterface;

    /**
     * @param $uuid
     * @return IdentifiableInterface
     */
    public function setUuid($uuid): IdentifiableInterface;

    /**
     * @return string
     */
    public function getUuid(): string;

    /**
     * @return mixed
     */
    public function getId();
}
